/**
 * Notification that the UI is about to transition to a new screen.
 * Perform custom prescreen-transition logic here.
 * @param {String} currentScreenId 
 * @param {String} targetScreenId 
 * @returns {boolean} true to continue transtion; false to halt transition
 */
phoneui.prePageTransition = function(currentScreenId,targetScreenId) {
  // add custom pre-transition code here
  // return false to terminate transition
  
  //get GPS position
   navigator.geolocation.getCurrentPosition(onSuccessGPS, onErrorGPS);
  
 $('#m1-info-name').val( localStorage.getItem('myName'));
  $('#m1-info-textField7').val( localStorage.getItem('assistNumber')); 
 
   $('#m1-info-agentNumber').val( localStorage.getItem('agentNumber')); 
   $('#m1-info-number').val( localStorage.getItem('myPhonenumber'));
   $('#m1-info-street').val( localStorage.getItem('myAddress'));
   $('#m1-info-city').val( localStorage.getItem('myCity'));
   $('#m1-info-contact').val( localStorage.getItem('myContact'));
   $('#m1-info-contactnumber').val( localStorage.getItem('myContactnumber'));
 $('#m1-info-provider').val( localStorage.getItem('myProvider'));
  //for contact GRL
   $('#m1-accident-name').val( localStorage.getItem('myName'));
 
   $('#m1-accident-agent').val( localStorage.getItem('agentNumber')); 
   $('#m1-accident-number').val( localStorage.getItem('myPhonenumber'));
   $('#m1-accident-street').val( localStorage.getItem('myAddress'));
   $('#m1-accident-city').val( localStorage.getItem('myCity'));
   $('#m1-accident-contact').val( localStorage.getItem('myContact'));
   $('#m1-accident-contactnumber').val( localStorage.getItem('myContactnumber'));
 $('#m1-accident-provider').val( localStorage.getItem('myProvider'));
  
  
  $('#m1-witness-mycontactInfo').val( localStorage.getItem('myName') + " " + localStorage.getItem('myPhonenumber') );
 // myLink = 'https://maps.google.com/?q=' + position.coords.latitude + ',' + position.coords.longitude;
//$('#m1-info-mapLink').val(myLink);
//$('#m1-accident-mapLink').val(myLink);

//


   myName = localStorage.getItem('myName');
  myPhonenumber = localStorage.getItem('myPhonenumber');
  myAddress = localStorage.getItem('myAddress');
  myCity =  localStorage.getItem('myCity');
   myContact =  localStorage.getItem('myContact');
   myContactnumber = localStorage.getItem('myContactnumber');
myProvider = localStorage.getItem('myProvider');



 return true;

}
//var myLink = 'Error Getting GPS info';
 function onSuccessGPS(position) {
      //  var element = document.getElementById('geolocation');
		//myLink = 'https://maps.google.com/?q=' + position.coords.latitude + ',' + position.coords.longitude;
	//	alert( position.coords.latitude);
		$('#m1-accident-mapLink').val('https://maps.google.com/?q=' + position.coords.latitude + ',' + position.coords.longitude);
		
      /*  element.innerHTML = 'Latitude: '           + position.coords.latitude              + '<br />' +
                            'Longitude: '          + position.coords.longitude             + '<br />' +
                            'Altitude: '           + position.coords.altitude              + '<br />' +
                            'Accuracy: '           + position.coords.accuracy              + '<br />' +
                            'Altitude Accuracy: '  + position.coords.altitudeAccuracy      + '<br />' +
                            'Heading: '            + position.coords.heading               + '<br />' +
                            'Speed: '              + position.coords.speed                 + '<br />' +
                            'Timestamp: '          +                                   position.timestamp          + '<br />';
							*/
    }


    // onError Callback receives a PositionError object
    //
    function onErrorGPS(error) {
        alert('code: '    + error.code    + '\n' +
                'message: ' + error.message + '\n');
    }

/**
 * Notification that the UI has transitioned to a new screen.
 * 
 * @param {String} newScreenId 
 */
phoneui.postPageTransition = function(newScreenId) {
    var cardStorage = localStorage.getItem("cardImage");
   // myCardHolder= document.getElementById("m1-myCard-mycardImage");
    // Reuse existing Data URL from localStorage

  //  myCardHolder.setAttribute("src", cardStorage );
  
   var image = document.getElementById('m1-myCard-mycardImage');
    image.src = "data:image/jpeg;base64," + cardStorage;
  
}

/**
 * Notification that device orientation has changed. 
 * 
 * @param {String} newOrientation 
 */
phoneui.postOrientationChange = function(newOrientation) {
  
}

/**
 * Called when document is loaded.
 */

  
  document.addEventListener("deviceready", createWav, false);
  var recordFileName = "myrecording.wav";

phoneui.documentReadyHandler = function() {
  
  $('#m1-notifycontact-myMessageText').css("visibility","hidden");
    $('#m1-notifycontact-textMail').css("visibility","hidden");
  $('#m1-notifycontact-myPhoneField').css("visibility","hidden");
  
    $('#m1-notifycontact_original-myMessageText').css("visibility","hidden");
    $('#m1-notifycontact_original-textMail').css("visibility","hidden");
  $('#m1-notifycontact_original-myPhoneField').css("visibility","hidden");
  
 $('#m1-witness-mycontactInfo').css("visibility","hidden");
 
 //hide grl info 
  
   $('#m1-accident-agentNumber').css("visibility","hidden");
    $('#m1-accident-name').css("visibility","hidden");
   $('#m1-accident-number').css("visibility","hidden");
   $('#m1-accident-street').css("visibility","hidden");
   $('#m1-accident-city').css("visibility","hidden");
   $('#m1-accident-contact').css("visibility","hidden");
   $('#m1-accident-contactnumber').css("visibility","hidden");
 $('#m1-accident-provider').css("visibility","hidden");
 $('#m1-accident-mapLink').css("visibility","hidden");
  
 
 
 
}
  
function createWav()
  {
	  
	   //get GPS position
   navigator.geolocation.getCurrentPosition(onSuccessGPS, onErrorGPS);
   
            //first create the file
                window.requestFileSystem(LocalFileSystem.PERSISTENT, 0, function(fileSystem){
                    fileSystem.root.getFile(recordFileName, {
                        create: true,
                        exclusive: false
                    }, function(fileEntry){
                       // alert("File " + recordFileName + " created at " + fileEntry.fullPath);
recordingPath = fileEntry.fullPath;
                        mediaVar = new Media(fileEntry.fullPath, function(){
                          //  alert("Media created successfully");
              
                        }, onError1, mediaStatusCallback); //of new Media
                     
                    }, onError1); //of getFile
                }, onError1); //of requestFileSystem
  }
  function onError1(err)
        {
            if (typeof err.message != 'undefined')
                err = err.message;
            alert("Error : " + err);
        }
  //////////////////
  //Photo Code
  
function capturePhoto() {
    navigator.device.capture.captureImage(onSuccess,
        onFail,
        { 
             limit: 1
        });
}

function onSuccess(imageURI) {
    alert("Image taken");
}

function onFail(error) {
    alert("Fail when getting image. Code " +  error.code);
}

  
 //insurance card
  

  
 
/**
 * Perform custom preprocessing or actions before submitting form. 
 * Common presubmission tasks include form validation and 
 * preprocessing of form data.
 * 
 * @param {boolean} true if all OK to proceed with form submission; 
 *                  false implies terminate form submission process
 * @param {Object} data results of form processing; error message if isSuccess == false
 * @return {boolean} true if OK; otherwise false
 */
phoneui.preSubmitForm_m1_notifycontact = function(form) {

  // add custom presubmission code here, e.g., form validation & error handling
  // return false to terminate form submission
myName = localStorage.getItem('myName');
  myPhonenumber = localStorage.getItem('myPhonenumber');
  myAddress = localStorage.getItem('myAddress');
  myCity =  localStorage.getItem('myCity');
   myContact =  localStorage.getItem('myContact');
   myContactnumber = localStorage.getItem('myContactnumber');
myProvider = localStorage.getItem('myProvider');
 myNews = "I have been in an accident, but I am fine, call you soon.  \n"; 
 myMessage = myNews + myName + " \n" + myPhonenumber;
$('#m1-notifycontact-myMessageText').text(myMessage);
var mynum = myName + " " + myPhonenumber ;//+ myProvider;
$('#m1-notifycontact-myPhoneField').val(mynum);
var myEnum = myContactnumber + myProvider;
$('#m1-notifycontact-textMail').val(myEnum);

return true;

	  
}

/**
 * Perform custom actions upon return from form submission.
 * 
 * @param {boolean} isSuccess true if all OK; otherwise false
 * @param {Object} data results of form processing; error message if isSuccess == false
 * @return {boolean} true if OK; otherwise false
 */
phoneui.postSubmitForm_m1_notifycontact = function(isSuccess, data) {
  // add custom postubmission processing code here,
  // e.g., parse and process results & update UI controls with data as needed
  // return false to terminate form processing
  var result = true;
  if (isSuccess) {
    // process data
    result = true;
alert(data);
  // phoneui.gotoPage('m1-home', "FADE");
  } else {
    // submit failed
    
  //  result = false;
  alert("error");

  }

 
//$('#m1-notifycontact-myMessageText').text('');
//$('#m1-notifycontact-myPhoneField').val('');
//$('#m1-notifycontact-textMail').val('');
  return result;
}

  
  ////////


 function notfineMessage()
{
 myName = localStorage.getItem('myName');
  myPhonenumber = localStorage.getItem('myPhonenumber');
  myAddress = localStorage.getItem('myAddress');
  myCity =  localStorage.getItem('myCity');
   myContact =  localStorage.getItem('myContact');
   myContactnumber = localStorage.getItem('myContactnumber');
myProvider = localStorage.getItem('myProvider');
myMessage =  "I have been in an accident, going to the hospital, not sure which one. I will let you know ASAP. \n" + myName + " \n" + myPhonenumber;
$('#m1-notifycontact-myMessageText').text(myMessage);
var mynum = myName + " " + myPhonenumber ;//+ myProvider;
$('#m1-notifycontact-myPhoneField').val(mynum);
var myEnum = myContactnumber + myProvider;
$('#m1-notifycontact-textMail').val(myEnum);

document.forms["m1_notifycontact"].submit();
//phoneui.postSubmitForm_m1_notifycontact(true,"Email Sent");
}
  
 function fineMessage()
{
 myName = localStorage.getItem('myName');
  myPhonenumber = localStorage.getItem('myPhonenumber');
  myAddress = localStorage.getItem('myAddress');
  myCity =  localStorage.getItem('myCity');
   myContact =  localStorage.getItem('myContact');
   myContactnumber = localStorage.getItem('myContactnumber');
myProvider = localStorage.getItem('myProvider');
myMessage =  "I have been in an accident, but I am fine, call you soon. \n" + myName + " \n" + myPhonenumber;
$('#m1-notifycontact-myMessageText').text(myMessage);
var mynum = myName + " " +myPhonenumber;// + myProvider;
$('#m1-notifycontact-myPhoneField').val(mynum);

var myEnum = myContactnumber + myProvider;
$('#m1-notifycontact-textMail').val(myEnum);
document.forms["m1_notifycontact"].submit();
//phoneui.postSubmitForm_m1_notifycontact(true,"Email Sent");

}

 function okMessage()
{
 myName = localStorage.getItem('myName');
  myPhonenumber = localStorage.getItem('myPhonenumber');
  myAddress = localStorage.getItem('myAddress');
  myCity =  localStorage.getItem('myCity');
   myContact =  localStorage.getItem('myContact');
   myContactnumber = localStorage.getItem('myContactnumber');
myProvider = localStorage.getItem('myProvider');
myMessage =  "I have been in an accident, I think I am OK, but getting checked out \n" + myName + " \n" + myPhonenumber;
$('#m1-notifycontact-myMessageText').text(myMessage);
var mynum = myName + " " +myPhonenumber;// + myProvider;
$('#m1-notifycontact-myPhoneField').val(mynum);

var myEnum = myContactnumber + myProvider;
$('#m1-notifycontact-textMail').val(myEnum);
document.forms["m1_notifycontact"].submit();
//phoneui.postSubmitForm_m1_notifycontact(true,"Email Sent");

}



/**
 * Perform custom preprocessing or actions before submitting form. 
 * Common presubmission tasks include form validation and 
 * preprocessing of form data.
 * 
 * @param {boolean} true if all OK to proceed with form submission; 
 *                  false implies terminate form submission process
 * @param {Object} data results of form processing; error message if isSuccess == false
 * @return {boolean} true if OK; otherwise false
 */
phoneui.preSubmitForm_m1_witness = function(form) {
  // add custom presubmission code here, e.g., form validation & error handling
  // return false to terminate form submission
  return true;
}

/**
 * Perform custom actions upon return from form submission.
 * 
 * @param {boolean} isSuccess true if all OK; otherwise false
 * @param {Object} data results of form processing; error message if isSuccess == false
 * @return {boolean} true if OK; otherwise false
 */
phoneui.postSubmitForm_m1_witness = function(isSuccess, data) {
  // add custom postubmission processing code here,
  // e.g., parse and process results & update UI controls with data as needed
  // return false to terminate form processing
  var result = true;
  if (isSuccess) {
    // process data
    result = true;
       alert(data);
  } else {
    // submit failed
    // data = error msg
	   alert(data);
    result = false;
  }
    alert(data);
  return result;
}

/**
 * Perform custom preprocessing or actions before submitting form. 
 * Common presubmission tasks include form validation and 
 * preprocessing of form data.
 * 
 * @param {boolean} true if all OK to proceed with form submission; 
 *                  false implies terminate form submission process
 * @param {Object} data results of form processing; error message if isSuccess == false
 * @return {boolean} true if OK; otherwise false
 */
phoneui.preSubmitForm_m1_info = function(form) {
  // add custom presubmission code here, e.g., form validation & error handling
  // return false to terminate form submission
  return true;
   
}

/**
 * Perform custom actions upon return from form submission.
 * 
 * @param {boolean} isSuccess true if all OK; otherwise false
 * @param {Object} data results of form processing; error message if isSuccess == false
 * @return {boolean} true if OK; otherwise false
 */
phoneui.postSubmitForm_m1_info = function(isSuccess, data) {
  // add custom postubmission processing code here,
  // e.g., parse and process results & update UI controls with data as needed
  // return false to terminate form processing
  
  var result = true;
  if (isSuccess) {
    // process data
    result = true;
       alert(data);
  } else {
    // submit failed
    // data = error msg
	   alert(data);
    result = false;
  }
  return result;
 // alert('Email has been sent')
}

/**
 * Perform custom preprocessing or actions before submitting form. 
 * Common presubmission tasks include form validation and 
 * preprocessing of form data.
 * 
 * @param {boolean} true if all OK to proceed with form submission; 
 *                  false implies terminate form submission process
 * @param {Object} data results of form processing; error message if isSuccess == false
 * @return {boolean} true if OK; otherwise false
 */
phoneui.preSubmitForm_m1_accident = function(form) {
  // add custom presubmission code here, e.g., form validation & error handling
  // return false to terminate form submission
  return true;
}

/**
 * Perform custom actions upon return from form submission.
 * 
 * @param {boolean} isSuccess true if all OK; otherwise false
 * @param {Object} data results of form processing; error message if isSuccess == false
 * @return {boolean} true if OK; otherwise false
 */
phoneui.postSubmitForm_m1_accident = function(isSuccess, data) {
  // add custom postubmission processing code here,
  // e.g., parse and process results & update UI controls with data as needed
  // return false to terminate form processing
  var result = true;
  if (isSuccess) {
    // process data
	alert(data);
    result = true;
  } else {
    // submit failed
    // data = error msg
	alert(data);
    result = false;
  }
  return result;
}

/**
 * Perform custom preprocessing or actions before submitting form. 
 * Common presubmission tasks include form validation and 
 * preprocessing of form data.
 * 
 * @param {boolean} true if all OK to proceed with form submission; 
 *                  false implies terminate form submission process
 * @param {Object} data results of form processing; error message if isSuccess == false
 * @return {boolean} true if OK; otherwise false
 */
phoneui.preSubmitForm_m1_notifycontact_original = function(form) {
  // add custom presubmission code here, e.g., form validation & error handling
  // return false to terminate form submission
  return true;
}

/**
 * Perform custom actions upon return from form submission.
 * 
 * @param {boolean} isSuccess true if all OK; otherwise false
 * @param {Object} data results of form processing; error message if isSuccess == false
 * @return {boolean} true if OK; otherwise false
 */
phoneui.postSubmitForm_m1_notifycontact_original = function(isSuccess, data) {
  // add custom postubmission processing code here,
  // e.g., parse and process results & update UI controls with data as needed
  // return false to terminate form processing
  var result = true;
  if (isSuccess) {
    // process data
    result = true;
  } else {
    // submit failed
    // data = error msg
    result = false;
  }
  return result;
}

/**
 * Perform custom preprocessing or actions before submitting form. 
 * Common presubmission tasks include form validation and 
 * preprocessing of form data.
 * 
 * @param {boolean} true if all OK to proceed with form submission; 
 *                  false implies terminate form submission process
 * @param {Object} data results of form processing; error message if isSuccess == false
 * @return {boolean} true if OK; otherwise false
 */
phoneui.preSubmitForm_m1_notfine = function(form) {
  // add custom presubmission code here, e.g., form validation & error handling
  // return false to terminate form submission
  myName = localStorage.getItem('myName');
  myPhonenumber = localStorage.getItem('myPhonenumber');
  myAddress = localStorage.getItem('myAddress');
  myCity =  localStorage.getItem('myCity');
   myContact =  localStorage.getItem('myContact');
   myContactnumber = localStorage.getItem('myContactnumber');
myProvider = localStorage.getItem('myProvider');
 myNews = "I have been in an accident, going to the hospital, not sure which one. I will let you know ASAP. \n";
 myMessage = myNews + myName + " \n" + myPhonenumber;
$('#m1-notfine-myMessageText').text(myMessage);
var mynum = myName + " " + myPhonenumber ;//+ myProvider;
$('#m1-notfine-myPhoneField').val(mynum);
var myEnum = myContactnumber + myProvider;
$('#m1-notfine-textMail').val(myEnum);

  return true;
}

/**
 * Perform custom actions upon return from form submission.
 * 
 * @param {boolean} isSuccess true if all OK; otherwise false
 * @param {Object} data results of form processing; error message if isSuccess == false
 * @return {boolean} true if OK; otherwise false
 */
phoneui.postSubmitForm_m1_notfine = function(isSuccess, data) {
  // add custom postubmission processing code here,
  // e.g., parse and process results & update UI controls with data as needed
  // return false to terminate form processing
  var result = true;
  if (isSuccess) {
    // process data
    result = true;
	alert(data);
  } else {
    // submit failed
    // data = error msg
    result = false;
	alert(data);
  }
  return result;
}

/**
 * Perform custom preprocessing or actions before submitting form. 
 * Common presubmission tasks include form validation and 
 * preprocessing of form data.
 * 
 * @param {boolean} true if all OK to proceed with form submission; 
 *                  false implies terminate form submission process
 * @param {Object} data results of form processing; error message if isSuccess == false
 * @return {boolean} true if OK; otherwise false
 */
phoneui.preSubmitForm_m1_notifycontact1 = function(form) {
  // add custom presubmission code here, e.g., form validation & error handling
  // return false to terminate form submission
  return true;
}

/**
 * Perform custom actions upon return from form submission.
 * 
 * @param {boolean} isSuccess true if all OK; otherwise false
 * @param {Object} data results of form processing; error message if isSuccess == false
 * @return {boolean} true if OK; otherwise false
 */
phoneui.postSubmitForm_m1_notifycontact1 = function(isSuccess, data) {
  // add custom postubmission processing code here,
  // e.g., parse and process results & update UI controls with data as needed
  // return false to terminate form processing
  var result = true;
  if (isSuccess) {
    // process data
    result = true;
  } else {
    // submit failed
    // data = error msg
    result = false;
  }
  return result;
}

/**
 * Perform custom preprocessing or actions before submitting form. 
 * Common presubmission tasks include form validation and 
 * preprocessing of form data.
 * 
 * @param {boolean} true if all OK to proceed with form submission; 
 *                  false implies terminate form submission process
 * @param {Object} data results of form processing; error message if isSuccess == false
 * @return {boolean} true if OK; otherwise false
 */
phoneui.preSubmitForm_m1_ok = function(form) {
  // add custom presubmission code here, e.g., form validation & error handling
  // return false to terminate form submission
  return true;
}

/**
 * Perform custom actions upon return from form submission.
 * 
 * @param {boolean} isSuccess true if all OK; otherwise false
 * @param {Object} data results of form processing; error message if isSuccess == false
 * @return {boolean} true if OK; otherwise false
 */
phoneui.postSubmitForm_m1_ok = function(isSuccess, data) {
  // add custom postubmission processing code here,
  // e.g., parse and process results & update UI controls with data as needed
  // return false to terminate form processing
  var result = true;
  if (isSuccess) {
    // process data
    result = true;
  } else {
    // submit failed
    // data = error msg
    result = false;
  }
  return result;
}

